# Limmy's Swearing Xylophone ZX Spectrum Port

This is a simple ZX Spectrum port of [Limmy's Swearing Xylophone](https://daftlimmy.github.io/SwearingXylophone/).
The website and this port are **not safe for work**. You have been warned.

## Files

|File|Purpose|
|----|-----------|
|README.md|This file.|
|Makefile|Run `make` to build the project. It requires `pasmo` and `zmakebas` to be installed on your system and produces the `limmysswearingxylophone.tap` file which can be loaded in a Spectrum emulator.|
|loader.bas|BASIC file which will be converted to a `tap` file by `zmakebas`. It loads the machine code and sets the screen.|
|xylo.asm|Z80 assembler file which reads keystrokes and calls the relevant sample routines.|
|sample.asm|Z80 assembler file created by [BeepFX](https://shiru.untergrund.net/software.shtml) containing the sample player code and sample data. The generated code is given under a permissive licence. It has been hand-edited to remove spurious code.|
|limmy.spj|Project file for BeepFX. The samples were downloaded from Limmy's original site and down-converted with `sox -V3 -D file.mp3 -r 9560 -b 8 -e unsigned -c1 file.wav` before being loaded into the project.|

## Licence

This is just a bit of fun. I made it to explore using sampled sound on a ZX Spectrum. Most of the code is generated by BeepFX, and the original application, design and samples are all Limmy's. Please don't distribute binaries or sell this without permission from the man himself. You can edit the bits which are my code as you wish and distribute that code however you see fit. Patches welcome.
